/*
 * File: splash.h
 * Code: Ben Walding
 * Date: 1 January 1998
 *
 * Protected by the GNU Public License v2.0  <distrib>/GPL.LICENSE      
 */
#ifndef _splash_h_
#define _splash_h_

#include <qwidget.h>
#include <qimage.h>
#include <qlcdnum.h>
#include <qtimer.h>
#include <qlabel.h>


class Splash : public QWidget
{
  Q_OBJECT

public:
  Splash( QWidget *parent=0, const char *name=0 );
  bool	loadImage( const char *fileName );
  void mousePressEvent (QMouseEvent *); /* XXX XXX XXX */

protected:
  void	paintEvent( QPaintEvent * );
  
private:
  QPixmap *xpmtitle;
  QPixmap *xpmtitlepro;
  QPixmap *xpmtitlename;

public slots:
  void undisplay();
  
};


#endif /* _splash_h_*/





